CON
  _CLKMODE = XTAL1 + PLL16X
  _XINFREQ = 5_000_000
  DATA_PIN = 5
VAR
  long data[6]
OBJ
  Vex : "Vex" 
  Sio : "Extended_FDSerial"

PUB Main | i
  waitcnt(clkfreq * 5 + cnt)
  Vex.Init(DATA_PIN, -100, 100)
  Sio.start(31,30,0,115200)  ' Rx,Tx, Mode, Baud    Programming cable
  Sio.tx(16)                    ' Clear screen
  Sio.Str(string("Center joysticks",13))
  waitcnt(clkfreq + cnt)
  Sio.Str(string("Reading in micro seconds",13))
  repeat 5
    Vex.Read(@data)
    repeat i from 0 to 5
      Sio.dec(data[i])
      Sio.tx(9)
    Sio.tx(13)
    waitcnt(clkfreq  + cnt)
  Sio.Str(string("Center called",13))
  Vex.Center
  Sio.Str(string("Reading in micro seconds",13))
  repeat 5
    Vex.Read(@data)
    repeat i from 0 to 5
      Sio.dec(data[i])
      Sio.tx(9)
    Sio.tx(13)
  Sio.Str(String("Scaled (-100 to 100) reads, move joysticks",13))
  waitcnt(clkfreq/3 + cnt)
  repeat 10
    Vex.ReadScaled(@data)
    repeat i from 0 to 5
      Sio.dec(data[i])
      Sio.tx(9)
    Sio.tx(13)
    waitcnt(clkfreq * 2 + cnt)  
  Sio.Str(string("Clibrate start; move joysticks to extremes",13))
  waitcnt(clkfreq/2 + cnt)
  Vex.Calibrate
  Sio.Str(string("Calibrate end",13)) 
  Sio.Str(String("Scaled (-100 to 100) reads, move joysticks",13))
  waitcnt(clkfreq/3 + cnt)
  repeat 10
    Vex.ReadScaled(@data)
    repeat i from 0 to 5
      Sio.dec(data[i])
      Sio.tx(9)
    Sio.tx(13)
    waitcnt(clkfreq * 2 + cnt)  
    